From: Khem Raj <raj.khem@gmail.com>
To: openembedded-core@lists.openembedded.org
Subject: [PATCH 1/2] runqemu: Fix running qemu when build without gl
Date: Tue, 10 Jul 2012 10:07:49 -0700 [thread overview]
Message-ID: <1341940070-27715-1-git-send-email-raj.khem@gmail.com> (raw)
When gl is disabled in PACKAGECONFIG then we dont need
to check for supporting libs to be present before running
qemu.
Signed-off-by: Khem Raj <raj.khem@gmail.com>
---
scripts/runqemu | 14 --------------
scripts/runqemu-internal | 17 +++++++++++++++++
2 files changed, 17 insertions(+), 14 deletions(-)
diff --git a/scripts/runqemu b/scripts/runqemu
index 8d149a2..0b547f2 100755
--- a/scripts/runqemu
+++ b/scripts/runqemu
@@ -384,20 +384,6 @@ echo "FSTYPE: [$FSTYPE]"
setup_sysroot
# OECORE_NATIVE_SYSROOT is now set for all cases
-# We can't run without a libGL.so
-libgl='no'
-
-[ -e /usr/lib/libGL.so -a -e /usr/lib/libGLU.so ] && libgl='yes'
-[ -e /usr/lib64/libGL.so -a -e /usr/lib64/libGLU.so ] && libgl='yes'
-[ -e /usr/lib/*-linux-gnu/libGL.so -a -e /usr/lib/*-linux-gnu/libGLU.so ] && libgl='yes'
-
-if [ "$libgl" != 'yes' ]; then
- echo "You need libGL.so and libGLU.so to exist in your library path to run the QEMU emulator.
- Ubuntu package names are: libgl1-mesa-dev and libglu1-mesa-dev.
- Fedora package names are: mesa-libGL-devel mesa-libGLU-devel."
- exit 1;
-fi
-
INTERNAL_SCRIPT="$0-internal"
if [ ! -f "$INTERNAL_SCRIPT" -o ! -r "$INTERNAL_SCRIPT" ]; then
INTERNAL_SCRIPT=`which runqemu-internal`
diff --git a/scripts/runqemu-internal b/scripts/runqemu-internal
index 041464d..2598800 100755
--- a/scripts/runqemu-internal
+++ b/scripts/runqemu-internal
@@ -467,6 +467,23 @@ if [ ! -x "$QEMUBIN" ]; then
return
fi
+NEED_GL=`ldd $QEMUBIN/$QEMU 2>&1 | grep libGLU`
+# We can't run without a libGL.so
+if [ "$NEED_GL" != "" ]; then
+ libgl='no'
+
+ [ -e /usr/lib/libGL.so -a -e /usr/lib/libGLU.so ] && libgl='yes'
+ [ -e /usr/lib64/libGL.so -a -e /usr/lib64/libGLU.so ] && libgl='yes'
+ [ -e /usr/lib/*-linux-gnu/libGL.so -a -e /usr/lib/*-linux-gnu/libGLU.so ] && libgl='yes'
+
+ if [ "$libgl" != 'yes' ]; then
+ echo "You need libGL.so and libGLU.so to exist in your library path to run the QEMU emulator.
+ Ubuntu package names are: libgl1-mesa-dev and libglu1-mesa-dev.
+ Fedora package names are: mesa-libGL-devel mesa-libGLU-devel."
+ exit 1;
+ fi
+fi
+
do_quit() {
if [ -n "$PIDFILE" ]; then
#echo kill `cat $PIDFILE`
--
1.7.5.4
next reply other threads:[~2012-07-10 17:19 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-07-10 17:07 Khem Raj [this message]
2012-07-10 17:07 ` [PATCH 2/2] kernel.bbclass: Make tree available for cross building external modules Khem Raj
2012-07-10 17:13 ` Phil Blundell
2012-07-10 17:21 ` Bruce Ashfield
2012-07-11 10:30 ` Richard Purdie
2012-07-11 14:25 ` Khem Raj
2012-07-11 14:48 ` Richard Purdie
2012-07-20 7:30 ` Darren Hart
2012-07-20 23:05 ` Khem Raj
2012-07-19 7:51 ` Martin Jansa
2012-07-17 16:03 ` [PATCH 1/2] runqemu: Fix running qemu when build without gl Saul Wold
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1341940070-27715-1-git-send-email-raj.khem@gmail.com \
--to=raj.khem@gmail.com \
--cc=openembedded-core@lists.openembedded.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox